- Extending Qt Creator Manual
- NonResizingSplitter
- Extending Qt Creator Manual 8.0.2

# NonResizingSplitter Class

class Core::NonResizingSplitter

The NonResizingSplitter class is a MiniSplitter that keeps its first widget's size fixed when it is resized. More...

Header: | #include <coreplugin/minisplitter.h>
Inherits: | Core::MiniSplitter

- List of all members, including inherited members

## Public Functions

| NonResizingSplitter(QWidget *parent, Core::MiniSplitter::SplitterStyle style = Light)

## Detailed Description

## Member Function Documentation

### NonResizingSplitter::NonResizingSplitter(QWidget *parent, Core::MiniSplitter::SplitterStyle style = Light)

Constructs a non-resizing splitter with parent and style.

The default style is MiniSplitter::Light.